function selcbk(source,eventdata)
global var h
% defining the strains for the different species

disp(['Now using: ' get(get(source,'SelectedObject'),'String')]);
ok=0;

    
switch get(get(source,'SelectedObject'),'String')
    case 'Plate 1'
      
          if var.species==1
            load Plate1
            var.abb=abb;
            load Plate_general1
            var.pos=abb_pos;
        elseif var.species==2
            load Plate_mouse1
            var.abb=abb_mouse;
            load Plate_general1
            var.pos=abb_pos;
           elseif var.species==3
            load Plate_general1
            var.abb=abb_pos;
            
                                                    
        end
        
        ok = 1;


    case 'Plate 2'
        if var.species==1
            load Plate2
            var.abb = abb;
            load Plate_general2
            var.pos=abb_pos;
        elseif var.species==2
            load Plate_mouse2
            var.abb=abb_mouse;
            load Plate_general2
            var.pos=abb_pos;
        elseif var.species==3
            load Plate_general2
            var.abb=abb_pos;
          
        end
        
        ok = 1;
        

end

if ok
    set(h.plate,'backgroundcolor','w')
    set(h.plate1,'backgroundcolor','w')
    set(h.plate2,'backgroundcolor','w')
end

